#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for decoding and generation of MPEG TS and DVB PSI tables
Summary(pl.UTF-8):	Biblioteka do dekodowania i generowania tablic MPEG TS i DVB PSI
Name:		libdvbpsi
Version:	1.1.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.videolan.org/pub/libdvbpsi/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	0d8ffb38d0ebfeb55c40ce6fe232f5d3
URL:		http://www.videolan.org/developers/libdvbpsi.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvbpsi is a very simple and fully portable library designed for
MPEG TS and DVB PSI table decoding and generation.

%description -l pl.UTF-8
libdvdpsi to bardzo prosta i przenośna biblioteka zaprojektowana do
dekodowania i generowania tablic MPEG TS i DVB PSI.

%package devel
Summary:	Header files for libdvbpsi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvbpsi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdvbpsi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdvbpsi.

%package static
Summary:	Static libdvbpsi library
Summary(pl.UTF-8):	Statyczna biblioteka libdvbpsi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvbpsi library.

%description static -l pl.UTF-8
Statyczna biblioteka libdvbpsi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdvbpsi.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libdvbpsi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvbpsi.so.9

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libdvbpsi.so
%{_includedir}/dvbpsi
%{_pkgconfigdir}/libdvbpsi.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvbpsi.a
%endif
%changelog
* Sat Dec 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvbpsi.git;a=log;h=master

* Sat Dec 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 6d848ac
- updated to 1.1.2

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 7300008
- updated to 1.1.1

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 0f28f20
- updated to 1.1.0 (note: new soname)

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> 0f9c777
- release 2 (by relup.sh)

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 2d75223
- moved NEWS to base doc
- ghost soname symlink

* Fri Nov 11 2011 Tomasz Pala <gotar@pld-linux.org> d065793
- upgraded to 0.2.2, removed la file

* Mon Dec 06 2010 Szymon Siwek <sls@pld-linux.org> 1470394
- ver. 0.1.7
- new soname
- package pkgconfig file

* Tue Jul 07 2009 duddits <duddits@pld-linux.org> 9c35577
- up to 0.1.6
- update URL
- %files: new *.so.5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c13826
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b556cc9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3978799
- converted to UTF-8

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> bbe03ac
- autoheader, added NEWS to doc

* Tue Mar 21 2006 djurban <djurban@pld-linux.org> 4fb514b
- updated to 0.1.5

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 2060c35
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> b5c65d4
- added BR: libtool
- regenerated configure
- added bcond_without static_libs

* Wed Apr 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 5cedc8b
- BR: ac,am

* Mon Apr 11 2005 averne <averne@pld-linux.org> 9ed8e49
- fixed to build on amd64

* Sat Mar 05 2005 Jakub Bogusz <qboosh@pld-linux.org> fc492c3
- updated to 0.1.4 (new soname)

* Wed Nov 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 404fa8d
- cleanups, separated -devel and -static

* Tue Nov 18 2003 luzik <luzik@pld-linux.org> ab48179
- initial release

